# -*- coding: utf-8 -*-
"""
@Author: MasonLiu
@Description: 测试用脚本，无需关注。
"""

import schedule
import os
import signal
import sys
import time
import yaml
import requests
from datetime import datetime, timedelta
from SendCore.FeishuSendBot import SendToFeishu, gen_sign
from SendCore.QiweiSendBot import SendToWX
from spider.common import run, seebug_main, M_4hou_main, anquanke_main, sec_wiki_main, huawei_main, doonsec_main, qianxin_main
from spider.freebuf import freebuf_main
from spider.xianzhi import xianzhi_main
from spider.sougou_wx import sougou_wx_main
from spider.github import github_main, load_github_config
from GotoSend.M_4hou import Src_4hou
from GotoSend.anquanke import Src_anquanke
from GotoSend.doonsec import Src_doonsec
from GotoSend.xianzhi import Src_xianzhi
from GotoSend.freebuf import Src_freebuf
from GotoSend.qianxin import Src_qianxin
from GotoSend.seebug import Src_seebug
from GotoSend.sougou_wx import Src_sougou_wx
from GotoSend.github import Src_github
from config.check_config import get_core_config, get_debug_config, get_kewords_config
from loguru import logger

# 全局变量
webhook_url_once, timestamp_once, sign_once = gen_sign()
e_hour, time_choice, choice, fs_activate, wx_activate, ding_activate, lx_activate, url_web = get_core_config()
Sogou_WX, Doonsec_switch, Doonsec = get_kewords_config()
# print(f"当前配置信息：Doonsec_switch：{Doonsec_switch}")


if __name__ == "__main__":
    # result_doonsec_long = Src_doonsec(False, Doonsec_switch, Doonsec)
    # print(result_doonsec_long)
    while True:
        Sogou_WX, Doonsec_switch, Doonsec = get_kewords_config()
        print(f"当前配置信息：Doonsec_switch：{Doonsec_switch}")
        print(f"当前配置信息：Sogou_WX：{Sogou_WX}")
        print(f"当前配置信息：Doonsec：{Doonsec}")
        print("\n")
        time.sleep(10)